# -*- coding: utf-8 -*-

from django.core.urlresolvers import reverse
from django.utils.translation import ugettext as _

from admin_tools.menu import items

from jmb.core.admin.menu import register_menu

payment_menu_item = items.MenuItem(
    _('payment'),
    reverse('admin:app_list', kwargs={'app_label': 'payment'}),
    children=[
        items.MenuItem(
            _('payment'), '',
            children=[
                items.MenuItem(_('add payment'), reverse('admin:payment_paymentform_add', )),
                items.MenuItem(_('payment list'), reverse('admin:payment_paymentform_changelist', )),
            ]
        ),
        items.MenuItem(
            _('installment'), '',
            children=[
                items.MenuItem(_('add installment'), reverse('admin:payment_paymentinstallment_add', )),
                items.MenuItem(_('installment list'), reverse('admin:payment_paymentinstallment_changelist', )),
            ]
        ),
    ]
)

register_menu(payment_menu_item, 'thux.payment')
