# -*- coding: utf-8 -*-

from django.conf.urls import url

from . import views


urlpatterns = [
    url(
        r'^paymentform/$',
        views.PaymentFormList.as_view(),
        name='paymentform_list'
    ),
    url(
        r'^paymentform/(?P<pk>\d+)/retrieve/$',
        views.PaymentFormRetrieve.as_view(),
        name='paymentform_retrieve'
    ),
    url(
        r'^paymentform/create/$',
        views.PaymentFormCreate.as_view(),
        name='paymentform_create'
    ),
    url(
        r'^paymentform/(?P<pk>\d+)/update/$',
        views.PaymentFormUpdate.as_view(),
        name='paymentform_update'
    ),
    url(
        r'^paymentinstallment/$',
        views.PaymentInstallmentList.as_view(),
        name='paymentinstallment_list'
    ),
    url(
        r'^paymentinstallment/(?P<pk>\d+)/retrieve/$',
        views.PaymentInstallmentRetrieve.as_view(),
        name='paymentinstallment_retrieve'
    ),
    url(
        r'^paymentinstallment/create/$',
        views.PaymentInstallmentCreate.as_view(),
        name='paymentinstallment_create'
    ),
    url(
        r'^paymentinstallment/(?P<pk>\d+)/update/$',
        views.PaymentInstallmentUpdate.as_view(),
        name='paymentinstallment_update'
    ),

]
